<div class="row justify-content-center">
    <div class="col-8">
        <div *ngIf="broadcastMessage">
            <h2><span>Broadcast Message</span> {{ broadcastMessage.id }}</h2>

            <hr>

            <jhi-alert-error></jhi-alert-error>

            <dl class="row-md jh-entity-details">
                <dt><span>Subject</span></dt>
                <dd>
                    <span>{{ broadcastMessage.subject }}</span>
                </dd>
                <dt><span>Message</span></dt>
                <dd>
                    <span>{{ broadcastMessage.message }}</span>
                </dd>
                <dt><span>From</span></dt>
                <dd>
                    <span>{{ broadcastMessage.from }}</span>
                </dd>
                <dt><span>To</span></dt>
                <dd>
                    <span>{{ broadcastMessage.to }}</span>
                </dd>
                <dt><span>Status</span></dt>
                <dd>
                    <span>{{ broadcastMessage.status }}</span>
                </dd>
                <dt><span>Visible</span></dt>
                <dd>
                    <span>{{ broadcastMessage.visible }}</span>
                </dd>
                <dt><span>Creator Team Id</span></dt>
                <dd>
                    <span>{{ broadcastMessage.creatorTeamId }}</span>
                </dd>
            </dl>

            <button type="submit"
                    (click)="previousState()"
                    class="btn btn-info">
                <fa-icon icon="arrow-left"></fa-icon>&nbsp;<span>Back</span>
            </button>

            <button type="button"
                    [routerLink]="['/broadcast-message', broadcastMessage.id, 'edit']"
                    class="btn btn-primary">
                <fa-icon icon="pencil-alt"></fa-icon>&nbsp;<span>Edit</span>
            </button>
        </div>
    </div>
</div>
